//////////////////////////////////////////////
//// Copyright 2012
////     by Milton R. Grinberg
//////////////////////////////////////////////
////
////
////	value:	Show the checkBox be on (true) or off (false)
////	right:	how far from the right should the checkBox be located
////	enabled:Is the checkBox enabled (i.e., can its value be changed)
////	will handle other Buttom specific properties.  many of which default
////
////	on the data change fireEvent('update', {}) to the row holding the checkBox.
////

exports.createCheckBox = createCheckBox;

function setImageIOS(obj) {
	//i.API.info('setImageIOS origValue: ' + obj.origvalue + ' value: ' + obj.value)
	var imageToShow = null;
	if (obj.origvalue) {
		imageToShow = obj.value ? '/images/yesValue.png' : '/images/wasYes.png'
	} else {
		imageToShow = obj.value ? '/images/wasNo.png' : '/images/noValue.png'
	}
	obj.setImage(imageToShow);
}

function createCheckBox(theRow, dataVar) {
	try {
		var checkbox = Ti.UI.createImageView({
			txt : dataVar.txt,
			top : (dataVar.top === undefined) ? 2 : dataVar.top,
			width : (dataVar.width === undefined) ? 32 : dataVar.width,
			height : (dataVar.height === undefined) ? 32 : dataVar.height,
			value : (dataVar.value === undefined) ? false : dataVar.value,
			origvalue : (dataVar.value === undefined) ? false : dataVar.value,
			image : '/images/noValue.png',
			row : theRow,
		});
		checkbox.setBubbleParent(false);
		if (dataVar.right !== undefined)
			checkbox.setRight(dataVar.right);
		if (checkbox.origvalue) {
			checkbox.image = '/images/yesValue.png';
		}
	} catch (err) {
		Ti.API.error('createCheckBox error: ' + err)
	}

	checkbox.addEventListener('click', function(evnt) {
		try {
			Ti.API.info('click source:' + evnt.source);
			var imageView = evnt.source;
			if (imageView.value === false) {
				imageView.value = true;
				setImageIOS(imageView);

			} else {
				imageView.value = false;
				setImageIOS(imageView);
			}
			var parent = evnt.source.getParent()
			Ti.API.info('parent1 '+parent);
			parent = parent.getParent()
			Ti.API.info('parent2 '+parent);
			parent = parent.getParent()
			Ti.API.info('parent3 '+parent);
			parent.fireEvent('count')
			
		} catch (err) {
			Ti.API.error(' checkbox click event threw at error ' + err)
		}
	});

	return checkbox;
}

